[package]
authors = ["Steins7"]
edition = "2018"
readme = "README.md"
name = "fan_monitor"
version = "0.1.0"

[dependencies]
embedded-hal = "0.2.6"
nb = "0.1.2"
cortex-m = "0.7.4"
cortex-m-rt = "0.7.1"
cortex-m-semihosting = "0.3.7"
panic-halt = "0.2.0"
hd44780-driver = "0.3.0"
libm = "0.2.1"
half = "1.8.2"

[dependencies.stm32f1xx-hal]
version = "0.8.0"
features = ["stm32f103", "rt", "medium"]

# this lets you use `cargo fix`!
[[bin]]
name = "fan_monitor"
test = false
bench = false

[profile.release]
codegen-units = 1 # better optimizations
debug = true # symbols are nice and they don't increase the size on Flash
lto = true # better optimizations

